import { ElementContainer } from "./element-container";
import { templateHTML } from "./template-html";
export class ElementContainerFactory {
    constructor(config) {
        this.config = config;
    }
    createContainer() {
        const root = document.createElement('div');
        ElementContainerFactory.setRootStyles(root);
        const shadowRoot = root.attachShadow({ mode: "closed" });
        this.mountTemplate(shadowRoot);
        const container = new ElementContainer(root, shadowRoot);
        if (this.config.content instanceof HTMLElement) {
            container.getContentElement().appendChild(this.config.content);
        }
        return container;
    }
    static setRootStyles(root) {
        root.style.all = 'initial';
    }
    mountTemplate(shadowRoot) {
        let html = templateHTML.replace('$TITLE', this.config.header);
        if (typeof this.config.content === 'string') {
            html = html.replace('$CONTENT', this.config.content);
        }
        else {
            html = html.replace('$CONTENT', '');
        }
        shadowRoot.innerHTML = html;
    }
}
