export class ElementContainer {
    constructor(shadowHost, shadowRoot) {
        this.shadowHost = shadowHost;
        this.shadowRoot = shadowRoot;
        this.isOpen = false;
    }
    insertSelf() {
        if (!this.isOpen) {
            document.body.appendChild(this.shadowHost);
            this.isOpen = true;
        }
    }
    removeSelf() {
        if (this.isOpen) {
            document.body.removeChild(this.shadowHost);
            this.isOpen = false;
        }
    }
    getContentElement() {
        return this.shadowRoot.querySelector('.modal-body');
    }
    addCloseButtonListener(onClose) {
        // Remember there are 2 close buttons
        this.shadowRoot.querySelectorAll('*[closeButton]')
            .forEach(item => item.addEventListener('click', onClose));
    }
    addConfirmButtonListener(onConfirm) {
        this.shadowRoot.querySelector('.btn.btn-primary[confirmButton]')
            .addEventListener('click', onConfirm);
    }
}
