/**
 * This class listens to the escape key and closes this.host if esc is pressed.
 */
export class EscListener {
    constructor(host) {
        this.host = host;
        this.onKeyPress = (e) => {
            if (e.key === 'Escape') {
                this.host.close();
            }
        };
    }
    engage() {
        document.addEventListener('keyup', this.onKeyPress);
    }
    disengage() {
        document.removeEventListener('keyup', this.onKeyPress);
    }
}
