import { ElementContainerFactory } from "./element-container-factory";
import { EscListener } from "./esc-listener";
export class ObjectOrientedBootstrapModal {
    constructor(config) {
        this.escListener = new EscListener(this);
        this.onConfirm = () => {
            // meant to be handled by subclasses
        };
        this.container = new ElementContainerFactory(config).createContainer();
        this.container.addConfirmButtonListener(() => this.onConfirm());
        this.container.addCloseButtonListener(this.close.bind(this));
    }
    open() {
        this.container.insertSelf();
        this.escListener.engage();
    }
    close() {
        this.container.removeSelf();
        this.escListener.disengage();
    }
    get content() {
        return this.container.getContentElement();
    }
}
